%define oname pylibefl
%define module efl

Summary:	Python bindings for the EFL
Name:		python-%{module}
Version:	1.16.0
Release:	%mkrel 1
License:	LGPLv3+
Group:		Graphical desktop/Enlightenment
Url:		https://launchpad.net/pyliblzma
Source0:	python-%{module}-%{version}.tar.xz
BuildRequires:	python-devel
BuildRequires:  python-setuptools
BuildRequires:	python-dbus-devel
BuildRequires:	efl-devel
BuildRequires:	e-elementary-devel


%description
Python bindings for the EFL library.

%package -n python3-%{module}
Summary:	Python 3 bindings for the EFL
Group:		Graphical desktop/Enlightenment
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Python 3 bindings for the EFL library.

%prep
%setup -q
cp -a . %{py3dir}

%build
env CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
env CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
rm -rf %{buildroot}

%{__python} setup.py install --root=%{buildroot}

pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot}
popd

%files
%defattr(-,root,root,-)
%{python_sitearch}/efl
%{python_sitearch}/python_efl-*.egg-info

%files -n python3-%{module}
%defattr(-,root,root,-)
%{python3_sitearch}/efl
%{python3_sitearch}/python_efl-*.egg-info

%clean
rm -rf %buildroot


%changelog
* Sun Dec 06 2015 bb <bb> 1.16.0-1pclos2015
- update

* Tue Aug 11 2015 bb <bb> 1.15.0-1pclos2015
- update

* Thu Mar 05 2015 bb <bb> 1.13.0-1pclos2015
- update

